
/*    7-  .*/
void LED(unsigned int Print_in, unsigned int Print_out)
{
#include <util/delay.h>

const unsigned int ms = 0xBFF;
unsigned char rez;
unsigned int rest;
const unsigned char table[10] = {63,6,91,79,102,109,125,7,127,111};
  
/*//////////////////////////////////////// Print_in ///////////////////////////////////////////*/
	if (Print_in > 999)	Print_in = 999;	

	rez = Print_in / 100;			/*_2 */
	PORTA = 0b10000000;
	PORTD = table[rez];
	_delay_loop_2(ms);


	rest = Print_in % 100;			/* 999 % 100 = 99 */
	rez = rest / 10;				/* 99 / 10 = 9		 _1 */
	PORTA = 0b1000000;
	PORTD = table[rez];
	_delay_loop_2(ms);


	rez = rest % 10;				/* 99 % 10 = 9		 _0 */
	PORTA = 0b100000;
	PORTD = table[rez];
	_delay_loop_2(ms);



/*//////////////////////////////////////// Print_out ///////////////////////////////////////////*/
	if (Print_out > 999)	Print_out = 999;	

	rez = Print_out / 100;			/*_2 */
	PORTA = 0b10000;
	PORTD = table[rez];
	_delay_loop_2(ms);


	rest = Print_out % 100;			/* 999 % 100 = 99 */
	rez = rest / 10;				/* 99 / 10 = 9		 _1 */
	PORTA = 0b1000;
	PORTD = table[rez];
	_delay_loop_2(ms);


	rez = rest % 10;				/* 99 % 10 = 9		 _0 */
	PORTA = 0b100;
	PORTD = table[rez];
	_delay_loop_2(ms);

	PORTA = 0;	
}
